<div :class="active ? 'active' : ''">
  <ul
    v-el:header
    :class="headerClass">
    <toggle-item
      v-for="item in items | orderBy 'position'"
      v-show="$index < maxNumItems"
      v-ref:toggles
      :class="toggleClass"
      :data="item">
    </toggle-item>
    <div style="flex:auto;"></div>
    <menu-button
      v-show="numItems > maxNumItems"
      v-ref:header-menu
      :class="toggleClass"
      :icon-class="active ? 'fa-ellipsis-h' : 'fa-ellipsis-v'"
      :btn-class="'btn-default'"
      :dropup="active ? false : true"
      :items="contentItems">
    </menu-button>
  </ul>
  <div
    v-el:body
    :class="bodyClass">
    <template
      v-for="item in contentItems | orderBy 'position'">
      <div
        v-show="item.selected && !active"
        :class="'caret-left'"></div>
      <div
        v-show="item.selected"
        :class="contentClass"
        :id="item.id"></div>
    </template>
  </div>
  <ul
    v-el:footer
    :class="footerClass">
    <toggle-item
      v-for="item in footer.items | orderBy 'position'"
      v-ref:footer-items
      :class="toggleClass"
      :data="item">
    </toggle-item>
    <menu-button
      v-ref:footer-menu
      :class="toggleClass"
      :icon-class="footer.menu.iconClass"
      :label="active ? footer.menu.label : ''"
      :btn-class="footer.menu.btnClass"
      :dropup="true"
      :items="footer.menu.items">
    </menu-button>
  </ul>
</div>
